apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: payroll-portal
  labels:
    client: payrollengine
    environment: dev
    version: 0.0.1-SNAPSHOT
    commit-id: 01372f07d3db4c60f5d80c6378eebb174c64cdd9
  annotations:
    kubernetes.io/ingress.class: nginx
    cert-manager.io/cluster-issuer: letsencrypt-staging
    nginx.ingress.kubernetes.io/force-ssl-redirect: "true"
    nginx.ingress.kubernetes.io/ssl-passthrough: "true"

spec:
  tls:
    - hosts:
        - portal.pe.deployed.online
      secretName: portal-payroll-cert-staging
  rules:
    - host: portal.pe.deployed.online
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: payroll-portal
                port:
                  number: 80
